<?php
namespace Bushelpowered\Api\Trade\Futures\V1\Model;
        
class BidStandard 
{
    public string $id;
    public string $description;
    public ?string $symbol = null;
    public ?string $clientGroupId = null;
    public string $deliveryStart;
    public string $deliveryEnd;
    public string $expirationDate;
    public string $currentBid;
    public ?string $basisPrice = null;
    public string $unitOfMeasure;
    public ?string $currencyConversionRate = null;
    public ?string $futuresPrice = null;
    public ?string $futuresChange = null;
    public ?int $futuresChangeSign = null;
    public ?string $premiumPercent = null;
    public ?string $unitConversionFactor = null;
    public string $currency;

    /**
     */
    public function __construct(string $id, string $description, ?string $symbol, ?string $clientGroupId, string $deliveryStart, string $deliveryEnd, string $expirationDate, string $currentBid, ?string $basisPrice, string $unitOfMeasure, ?string $currencyConversionRate, ?string $futuresPrice, ?string $futuresChange, ?int $futuresChangeSign, ?string $premiumPercent, ?string $unitConversionFactor, string $currency)
    {
        $this->id = $id;
        $this->description = $description;
        $this->symbol = $symbol;
        $this->clientGroupId = $clientGroupId;
        $this->deliveryStart = $deliveryStart;
        $this->deliveryEnd = $deliveryEnd;
        $this->expirationDate = $expirationDate;
        $this->currentBid = $currentBid;
        $this->basisPrice = $basisPrice;
        $this->unitOfMeasure = $unitOfMeasure;
        $this->currencyConversionRate = $currencyConversionRate;
        $this->futuresPrice = $futuresPrice;
        $this->futuresChange = $futuresChange;
        $this->futuresChangeSign = $futuresChangeSign;
        $this->premiumPercent = $premiumPercent;
        $this->unitConversionFactor = $unitConversionFactor;
        $this->currency = $currency;
    }
    

}